mscorlib 2.0.0.0 4.0.0.0 System.ValueType

For additional information about TYPEATTR, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Contains attributes of a UCOMITypeInfo.

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about TYPEATTR, see the MSDN Library.

  Specifies the byte alignment for an instance of this type.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about TYPEATTR, see the MSDN Library.

  The size of an instance of this type.

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about TYPEATTR, see the MSDN Library.

  The size of this type's virtual method table (VTBL).

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about TYPEATTR, see the MSDN Library.

  Indicates the number of functions on the interface this structure describes.

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about TYPEATTR, see the MSDN Library.

  Indicates the number of implemented interfaces on the interface this structure describes.

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about TYPEATTR, see the MSDN Library.

  Indicates the number of variables and data fields on the interface described by this structure.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about TYPEATTR, see the MSDN Library.

  Reserved for future use.

- Field
  2.0.0.0
  4.0.0.0
  System.Guid

  For additional information about TYPEATTR, see the MSDN Library.

  The GUID of the type information.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.IDLDESC

  For additional information about TYPEATTR, see the MSDN Library.

  IDL attributes of the described type.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about TYPEATTR, see the MSDN Library.

  Locale of member names and documentation strings.

- Field
  2.0.0.0
  4.0.0.0
  System.IntPtr

  For additional information about TYPEATTR, see the MSDN Library.

  Reserved for future use.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32 -1

  For additional information about TYPEATTR, see the MSDN Library.

  A constant used with the and fields.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about TYPEATTR, see the MSDN Library.

  ID of constructor, or if none.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about TYPEATTR, see the MSDN Library.

  ID of destructor, or if none.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEDESC

  For additional information about TYPEATTR, see the MSDN Library.

  If == , specifies the type for which this type is an alias.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEKIND

  For additional information about TYPEATTR, see the MSDN Library.

  A value describing the type this information describes.

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about TYPEATTR, see the MSDN Library.

  Major version number.

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about TYPEATTR, see the MSDN Library.

  Minor version number.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYPEFLAGS

  For additional information about TYPEATTR, see the MSDN Library.

  A value describing this information.